gii_cmddata_getdevinfo(3)

NAME
gii_cmddata_getdevinfo : GII device capabilities description

SYNOPSIS
#include <ggi/events.h>
typedef struct {
    char              longname[75];
    char              shortname[5];
    gii_event_mask    can_generate;
    uint32_t          num_button;
    uint32_t          num_axes;
} gii_cmddata_getdevinfo;

DESCRIPTION
This structure describe an input device.

STRUCTURE MEMBERS

longname
    A human-redable NULL terminated string identifying the device.

shortname
    A 4 chars(+null) identifier for the device.

can_generate
    This mask tells what kind of events this device can generate.

num_buttons
    The number of button this device has. GII_NUM_UNKNOWN means that the number of button is not known.

num_axes
    The number of axes this device has.

SEE ALSO
giiQueryDeviceInfo(3)